## org.eclipse.emf.codegen.merge.java.facade.ast
Class ASTJAnnotationType

    java.lang.Object
      org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
          org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode<T>
              org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember<T>
                  org.eclipse.emf.codegen.merge.java.facade.ast.ASTJAbstractType<org.eclipse.jdt.core.dom.AnnotationTypeDeclaration>
                      org.eclipse.emf.codegen.merge.java.facade.ast.ASTJAnnotationType

All Implemented Interfaces:
  JAbstractType, JAnnotationType, JMember, JNode

    public class ASTJAnnotationType

extends ASTJAbstractType<org.eclipse.jdt.core.dom.AnnotationTypeDeclaration>
implements JAnnotationType

Wraps `AnnotationTypeDeclaration` object.

This class does not have any more functionality then `ASTJAbstractType`, but it allows specify merge rules on annotation types in `JMerger`.

Field Summary

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`comment`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode
`isCommentedOut, name, rewriter, UNITIALIZED_STRING`

Fields inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`EMPTY_STRING_ARRAY, qualifiedName`

Constructor Summary
`ASTJAnnotationType(org.eclipse.jdt.core.dom.AnnotationTypeDeclaration annotationTypeDeclaration)`

Method Summary

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJAbstractType
`addChild, computeQualifiedName, getChildren, getMembers, getName, insertSibling, remove, setName`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJMember
`dispose, getAnnotationList, getComment, getFlags, insertLastAnnotation, setComment, setFlags`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.ast.ASTJNode

`addValueToListProperty, addValueToListProperty, ancestorInserted, ancestorToBeRemoved, childToBeChanged, combineArrayAndList, commentOut, convertASTNodeListToStringArray, disableTrackAndReplace, enableTrackAndReplace, getASTNode, getContents, getFacadeHelper, getParent, getRemovedASTNode, getRewriter, getWrappedObject, insert, insertFirst, insertLast, isDisposed, nodeToBeMoved, nodeToBeRemoved, remove, removeNodeFromListProperty, removeTrackAndReplace, setASTNode, setFacadeHelper, setListNodeProperty, setNodeProperty, setNodeProperty, setParent, setRemovedASTNode, setRewriter, setTrackedNodeProperty, setWrappedObject, trackAndReplace`

Methods inherited from class org.eclipse.emf.codegen.merge.java.facade.AbstractJNode
`computeQualifiedName, computeQualifiedName, computeQualifiedName, getName, getQualifiedName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JMember
`getComment, setComment`

Methods inherited from interface org.eclipse.emf.codegen.merge.java.facade.JNode
`getChildren, getContents, getFlags, getName, getParent, getQualifiedName, setFlags, setName`

Constructor Detail

### ASTJAnnotationType

    public ASTJAnnotationType(org.eclipse.jdt.core.dom.AnnotationTypeDeclaration annotationTypeDeclaration)

Parameters:
  `annotationTypeDeclaration` -

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.